%define debug_package	%{nil}

Name: x11-driver-video-xgixp
Version: 1.7.99.4
Release: %mkrel 1
Summary: X.org driver for XGIxp Cards
Group: System/X11
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-xgixp-%{version}.tar.bz2
License: MIT
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: x11-util-macros		>= 1.1.5
BuildRequires: libdrm-devel		>= 2.3.0
BuildRequires: libpixman-1-devel	>= 0.9.6
BuildRequires: x11-proto-devel		>= 7.3
BuildRequires: libmesagl-devel		>= 7.0.2
BuildRequires: x11-server-devel		>= 1.4
Conflicts: xorg-x11-server < 7.0

%description
x11-driver-video-xgixp is the X.org driver for Generic XGIxp Cards.

%prep
%setup -q -n xf86-video-xgixp-%{version}

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/xgixp_drv.la
%{_libdir}/xorg/modules/drivers/xgixp_drv.so
%{_mandir}/man4/xgixp.*


%changelog
* Tue Nov 10 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.7.99.4-1mdv2010.1
+ Revision: 464285
- New release: 1.7.99.4

  + Thierry Vignaud <tvignaud@mandriva.com>
    - improved description
    - fix group
    - add missing dot at end of description
    - improved summary

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Update to upstream release 1.7.99.3.
      Still unbuildable because of lack of Mesa and kernel update to suport
      xgixp modules.
    - Modify documentation to show how to properly checkout the sources.
      Rename spec file to match package name.
      Package still unbuildable in cooker.
    - Added "guessed" BuildRequires to when kernel/mesa/drm bits be updated as
      this hardware is quite new and there is no official version of either
      (kernel/mesa/drm) with support, i.e. code still in "git master".
    - Remove -devel package as it isn't really required as it provides only 2 files
      that aren't even header files; still don't install the .la files.
      All dependency files should be stored in the x11-util-modular package as they
      are only required for the "modular" build.
    - Move .la files to new -devel package, and also add .deps files to -devel package.
      This package is still unbuildable because it requires bits in git master
      (i.e. not yet available on released versions) of mesa/drm/kernel.
    - This package doesn't have a single tag in git. Making this commit, without
      adding a tag to "document" that the a review was done, before starting a
      "new review pass" to make sure everything is correct.
    - Add x11-driver-video-xgi to cooker.
      Note that the package is broken at the current moment due to 2 problems:
    --disable-dri isn't correct, because XF86DRI is defined in
      /usr/include/xorg/xorg-server.h and this is the value the --disable-dri
      defines, or not in config.h. So trying to patch to disable-dri is pointless
      as the XF86DRI define is implicit if X Server was compiled with DRI extension.
      Driver is also broken at the current moment due to also needing to
      update/patch libdrm and kernel.
    - Add x11-driver-video-xgixp to cooker.

